import { Reducer } from 'redux';
import { IStateParams } from './state-params.interface';
export declare class CoreRawReducer {
    name: string;
    params: IStateParams;
    stateClass: AnyClass;
    createReducer: (children?: any) => Reducer;
    isChild?: boolean;
    parent?: RawReducer;
}
export declare class RawReducer extends CoreRawReducer {
    constructor(params: CoreRawReducer);
    readonly path: string[];
    readonly pathString: string;
    readonly isChild: boolean;
    private getParentsName;
}
